UUX(1)

NAME
uux - unix to unix command execution

SYNOPSIS
uux [ - ] [ -cClLnprz ] [ -aname ] [ -ggrade ] [ -xdebug ] command-string

DESCRIPTION
Uux will gather zero or more files from various systems, execute a command on a specified system and then send standard output to a file on a specified system.

The command-string is made up of one or more arguments that look like a Shell command line, except that the command and file names may be prefixed by system-name!. A null system-name is interpreted as the local system.

File names may be one of

    (1) a full path name;

    (2) a path name preceded by ~user where user is a login name on the specified system and is replaced by that user's login directory;

    (3) a path name prefixed by ~; where ~ is expanded to the system's public directory (usually /usr/spool/uucppublic);

    (4) a partial pathname, which is prefixed by the current directory.

As an example, the command

    uux "!diff usg!/usr/dan/file1 pwba!/a4/dan/file2 > !~/dan/file.diff"

will get the file1 and file2 files from the ``usg'' and ``pwba'' machines, execute a diff(1) command and put the results in file.diff in the local /usr/spool/uucppublic/dan/ directory.

Any special shell characters, such as <>;|, should be quoted either by quoting the entire command-string, or quoting the special characters as individual arguments.

Uux will attempt to get all files to the execution system. For files that are output files, the file name must be escaped using parentheses. For example, the command

    uux a!wc b!/usr/file1 \(c!/usr/file2 \)

get /usr/file1 from system ``b'' and send it to system ``a'', perform a wc command on that file and send the result of the wc command to system ``c''.

Uux will notify you by mail if the requested command on the remote system was disallowed. This notification can be turned off by the -n option.

The following options are interpreted by uux:

-   The standard input to uux is made the standard input to the command-string.

-aname
    Use name as the user identification replacing the initiator user-id.

-c  Do not copy local file to the spool directory for transfer to the remote machine (this is the default).

-C  Force the copy of local files to the spool directory for transfer.

-ggrade
    Grade is a single letter/number, from 0 to 9, A to Z, or a to z; 0 is the highest, and z is the lowest grade. The default is A; by comparison uucp(1) defaults to n and mail is usually sent at grade C. Lower grades should be specified for high-volume jobs, such as news.

-l  Try and make a link from the original file to the spool directory. If the link cannot be made, copy the file.

-n  Do not notify the user when the command completes.

-p  Same as -: The standard input to uux is made the standard input to the command-string.

-r  Do not start the file transfer, just queue the job.

-xdebug
    Produce debugging output on stdout. The debug is a number between 0 and 9; higher numbers give more detailed information. Debugging is permitted only for privileged users (specifically, those with read access to L.sys(5).

-z  Notify the user only if the command fails.

-L  Start up uucico with the -L flag. This will force calls to be made to local sites only (see uucico(8C)).

FILES
/usr/spool/uucp
    spool directories
/etc/uucp/*
    UUCP configuration data.

SEE ALSO
uucp(1), uucico(8), uuxqt(8).

WARNING
For security reasons, many installations will limit the list of commands executable on behalf of an incoming request from uux. Many sites will permit little more than the receipt of mail (see mail(1)) via uux.

BUGS
Only the first command of a shell pipeline may have a system-name!. All other commands are executed on the system of the first command.

The use of the shell metacharacter * will probably not do what you want it to do.

The shell tokens << and >> are not implemented.

When invoking uux from csh(1), the `!' character must be prefixed by the `\' escape to inhibit csh's history mechanism. (Quotes are not sufficient.)